## openuniverse 1.0beta3.1+dfsg

=== debian/changelog ===
openuniverse (1.0beta3.1+dfsg-7.1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Non-maintainer upload.
  * Migrate to DebSrc3.0 format. (Closes: #1007655)
    - Add debian/patches/*.patch split from diff.gz.
      + 0001_patch_AUTHORS.patch
      + 0002_fix_autotools.patch
      + 0003_add_data.patch
      + 0004_add_texfont.patch
      + 0005_fix_const.patch
      + 0006_fix_yy.patch
      + 0007_fix_log.patch
      + 0008_fix_comet.patch
      + 0009_fix_flares.patch
      + 0010_fix_info.patch
      + 0011_fix_keyboard.patch
      + 0012_dont_shutdown_if_screenshot_fail.patch
    - Add debian/clean to delete non-source changes.
  * Remove debian/postinst.debhelper, debian/postrm.debhelper, debian/substvars
  * debian/control: Remove Build-Depends on plib1.8.4-dev (Closes: #1023998)
  * debian/contorl: Add misc:Depends to openuniverse-common
  * Add debian/patches/0100_fix_no_display_callback.patch
    - Fix "No display callback registered" error.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Non-maintainer upload.
  * Fix FTCBFS: Let dh_auto_configure pass --host to configure.
    (Closes: #995428)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 08 Dec 2022 21:57:50 +0800

openuniverse (1.0beta3.1+dfsg-7) unstable; urgency=medium

  * Apply patch provided by Helmut Grohne which fixes FTCBFS: Export
    triplet-prefixed CC and CXX. (Closes: #871047)
    This is required to cross build from source, because it uses the build
    architecture compiler and thus fails finding libfl.a at configure time.
  * Remove celestia from Suggests: as it has not been available in Debian
    for years (since 2016 https://tracker.debian.org/pkg/celestia). Newer
    versions are available at https://celestia.space/download.html but they
    are not packaged within Debian.
  * Adjust debian/copyright to indicate that the old website
    (openuniverse.org) is not anymore available and one should use 
    sourceforge.net to download the last version
  * debian/README.Debian: Update information on support for this package, 
    status of Celestia in Debian and known issues with Nvidia cards (add
    reference to bug #986176))
  * debian/compat, debian/control: Update to compatibility version 12
  * debian/TODO: recode in UTF-8 [lintian fix]
  * debian/docs: remove NEWS from the list, it is really an empty file
    [lintian fix]
  * debian/menu: remove menu file as a desktop file is already provided
    [lintian fix]
  * debian/rules: 
     - Include dpkg-buildflags properly so the -g option is included and the
       package includes debugging symbols, this also enables the hardening
       flags [lintian fix]
     - Use CXXFLAGS from dpkg-buildflags when building the package
  * src/ou.h: Change the definition of error to prevent errors when using
    -Wformat-security (using fputs instead of fprintf)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 05 Sep 2021 13:14:28 +0200

openuniverse (1.0beta3.1+dfsg-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 01:09:07 +0100

openuniverse (1.0beta3.1+dfsg-6) unstable; urgency=high
 
  * debian/openuniverse.links: Fix symbolic link definition that prevent the
    program from starting (Closes: #850632)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 06 Feb 2017 20:54:45 +0100

openuniverse (1.0beta3.1+dfsg-5) unstable; urgency=low

  * debian/rules:
     - Fix FTBFS when only the arch-independent package is built, thanks go to
       Santiago Vila for the patch (Closes: #822951)
     - Create links using dh_link (openuniverse.links) instead of manually

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 29 Apr 2016 19:25:26 +0200

openuniverse (1.0beta3.1+dfsg-4) unstable; urgency=medium

  * debian/rules: Now use debhelper tools to build the package. This should
    fix many of the lintian errors  (Closes: #817303, #822015)
  * debian/control: 
     - Add dependancy on debhelper 
     - Updated Standards version
     - Update maintainer's name (use UTF-8)
     - Update homepage
  * debian/compat: set compatibility version 9 (Closes:  #817609)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 23 Apr 2016 19:54:10 +0200

openuniverse (1.0beta3.1+dfsg-3) unstable; urgency=low

  * Build-Depend on libjpeg-dev for the transition from libjpeg62 to libjpeg8
    (Closes: #644071)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 02 Oct 2011 21:25:12 +0200

openuniverse (1.0beta3.1+dfsg-2) unstable; urgency=low

  * Add Build-Depend on libplib1-dev to prepare for the binary package name
    change the maintainer is preparing for plib 1.8.5. libplib1 is still in
    experimental, however. So the package will need to be rebuilt when the new
    plib is uploaded to sid.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 26 Apr 2009 11:44:42 +0200

openuniverse (1.0beta3.1+dfsg-1) unstable; urgency=low

   * Acknowledge NMU
   * Use patch provided by Thorsten Alteholz so that openuniverse only
     creates a log file if the '-logfile' argument is used. (Closes: 386848)
   * Update debian/openuniverse.1 to describe the new command line
     argument (-logfile)
   * Updated debian/openuniverse.1 to describe one known bug (Y2038)
   * Change the maintainer email address
   * Add a 'q' key to the program to quit it.
   * Modify the desktop file by removing the 'Encoding' key (not standard),
     adjusting some values, also add a translation to the comment (to
     Spanish)
   * Add a pixmap file for the menu
   * Add alternative libglut3-dev to freeglut3-dev in Build-Depends to
     be backport-friendly
   * Code fixes:
      * Add an include for <fcntl.h> in ou.cpp to fix FTBFS
      * Redefine several functions and parts of the code to use a 'const
       char *' as argument to prevent g++'s 'warning: deprecated conversion

