=== debian/control ===
Source: openuniverse
Section: science
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: freeglut3-dev | libglut3-dev, debhelper (>= 1.1.17), flex, bison, libgl1-mesa-dev | libgl-dev | xlibmesa-gl-dev, libglu1-mesa-dev |  libglu-dev | xlibmesa-glu-dev, libjpeg-dev, libsm-dev, libice-dev, libxmu-dev, libxi-dev, libxext-dev, libx11-dev, libplib-dev,  debhelper (>= 12)
Standards-Version: 3.9.7
Homepage: http://openuniverse.sourceforge.net/

Package: openuniverse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openuniverse-common
Conflicts: openuniverse-common ( <= 1.0beta3.1-3 )
Description: 3D Universe Simulator
 OpenUniverse (OU for short) is a fun, fast and free OpenGL space simulator. It
 currently focuses on the Solar System and lets you visit all of its planets,
 most major moons and a vast collection of smaller bodies in colorful, glorious
 and realtime 3D. If you've ever had a chance to visit Mercury or asteroid
 Geographos, here you'll find them looking exactly the same way, following
 exactly the same path as when you've left them.
 .
 Notice that OpenUniverse is not actively being maintained anymore and that
 users are recommended to use Celestia instead.

Package: openuniverse-common
Architecture: all
Depends: ${misc:Depends}
Suggests: openuniverse (>= 1.0beta3-7)
Conflicts: openuniverse (<< 1.0beta3-7)
Replaces: openuniverse (<< 1.0beta3-7)
Description: 3D Universe Simulator data files
 OpenUniverse (OU for short) is  a fun, fast and free OpenGL space simulator.
 It currently focuses on the Solar System and lets you visit all of its
 planets, most major moons and a vast collection of smaller bodies in colorful,
 glorious and realtime 3D.
 .
 This package contains all the data that the program needs to run 
 (textures, star data catalogues, 3D models, fonts) or enhances it (manuals)
 under /usr/share/openuniverse.
